Subject: Re: building perl modules in cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked], a c <[email-masked]>
Date: Sun, 12 Dec 2004 14:50:48 +0100

Many thanks,

just FYI, I'm back at Thursday or Friday and will prepare the 5.8.6
release then for the following weekend.

Gerrit

Reini Urban wrote:

> Yitzchak Scott-Thoennes schrieb:
> 
>> On Wed, Dec 08, 2004 at 08:34:09AM -0800, a c wrote:
>>
>>> cpan> install Win32
>>
>>
>> Win32 is rather a special case.  There are parts of Win32:: that are
>> actually compiled into the win32 perl (but *not* cygwin) builds.
>> And, as of late, the whole Win32 module is included with win32 perls
>> (though not the other modules in the libwin32 distribution).
>>
>> Unfortunately, the libwin32 code needed some changes to work with
>> cygwin; a separate release installable through cygwin setup was
>> created, but that was build to work with 5.8.2, and the cygwin perl
>> has since been updated to 5.8.5 (and soon 5.8.6).  I've seen talk
>> about remedying this, but don't know where it's at at the moment.
>>
>> Ideally the changes needed for cygwin would be integrated back into
>> the version of libwin32 on CPAN, but no one has been maintaining that
>> for a while.  Jan Dubois of ActiveState recently announced that they
>> would be looking at patches that have been submitted and trying to get
>> a new CPAN release ready in the first part of next year.
>> So, if the patches needed for cygwin get submitted (I think via
>> rt.cpan.org), they may get included, and the rest of the CPAN
>> distribution will work.
>>
>> For the Win32 module itself, some work needs to be done within perl
>> itself to get it built for cygwin.
> 
> 
> I have an updated perl-libwin32 version ready,
> but I wanted to wait for gerrit's pending perl-5.8.6 update.
> (rt.cpan.org patch not yet submitted, some ole and libiodbc issues.)
> 
> It will be released then. perl-win32-gui will be a seperate new module.

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/